### Method

# Gdk Device get_active_layout_index

since: 4.18

#### Declaration [src]

    gint
    gdk_device_get_active_layout_index (
      GdkDevice* device
    )

#### Description [src]

Retrieves the index of the active layout of the keyboard.

If there is no valid active layout for the `GdkDevice`, this function will return -1;

This is only relevant for keyboard devices.

Available since: 4.18

Gets property | `Gdk.Device:active-layout-index`

#### Return value

Type: `gint`

The layout index of the active layout or -1.